Multi-Factor Authentication (MFA)
Update MFA Workflow by ID
PUT
Updates settings, expiry timers, or webhooks on an existing MFA workflow.
header
X-Api-Key<token>SMS Pro API Key (sk_live_... or sk_test_...)
id*stringapplication/json- body
name*stringsenderId?stringcodeLength?integerRange
4 <= value <= 8Default
6expiryMinutes?integerRange
1 <= value <= 60Default
5maxAttempts?integerRange
1 <= value <= 10Default
3resendCooldownSeconds?integerRange
10 <= value <= 300Default
30channel?stringDefault
"AUTO_FAILOVER"Value in
"SMS""WHATSAPP""AUTO_FAILOVER"messageTemplate?stringwebhookUrl?stringFormat
uriwebhookSecret?stringisDefault?booleanDefault
falseisActive?booleanDefault
truedefaultProofMode?stringDefault
"CHALLENGE_RESPONSE"Value in
"CHALLENGE_RESPONSE""PLAIN"Workflow updated successfully
application/json- response
status?stringmessage?stringdata?curl -X PUT 'https://api.smspro.com/api/v1/public/mfa/workflows/string' \ -H 'Content-Type: application/json' \ -d '{ "name": "string"}'Example Response
{ "status": "string", "message": "string", "data": { "id": "string", "name": "string", "senderId": "string", "codeLength": 0, "expiryMinutes": 0, "maxAttempts": 0, "resendCooldownSeconds": 0, "channel": "string", "isDefault": true, "isActive": true, "webhookUrl": "string", "defaultProofMode": "CHALLENGE_RESPONSE" }}